<?php
require_once "connect.php";

$ID_C = $_POST['SiteID']; //Web del contador
$visited = $_POST['visited'];
$pause = 0;
$dateVis = date('ymd'); //añomesdia
if ($pause == "0"){ //Si el argumento pause existe y es 0, contar la visita.
	if (dbw_query_fetch_array($db_conn, "SELECT COUNT(`date`) FROM VISITS WHERE ID_C = '$ID_C' AND `date` = '$dateVis'")[0] == 0) //Para saber si existe la tupla
	{
		dbw_query($db_conn, "INSERT INTO VISITS (ID_C, `date`) VALUES ('$ID_C', '$dateVis')");
	}
	if ($visited=='0'){ //Si la cookie no existe, crearla (Visita unica)
		//Añadir a la BD como visita única nueva, siguiendo las opciones de conteo establecidas
		dbw_query($db_conn, "UPDATE VISITS SET `uniqueVisits` = `uniqueVisits`+'1' WHERE ID_C = '$ID_C' AND `date` = '$dateVis'"); //Añadimos visita unica
	}
	dbw_query($db_conn, "UPDATE VISITS SET `visits` = `visits`+'1' WHERE ID_C = '$ID_C' AND `date` = '$dateVis'"); //Añadimos visita normal siempre
} //Fin de no pause. Si esta pausada esto no hará nada